#include "XcbScreen.h"

#include <xcb/xcb.h>

XcbScreen::XcbScreen(xcb_screen_t* screen)
    : mNativeScreen(screen)
{

}

std::unique_ptr<XcbScreen> XcbScreen::Create(xcb_screen_t* screen)
{
    return std::make_unique<XcbScreen>(screen);
}

xcb_screen_t* XcbScreen::GetNativeScreen() const
{
    return mNativeScreen;
}

void XcbScreen::SetGraphicsContext(unsigned gc)
{
    mGraphicsContext = gc;
}

unsigned XcbScreen::GetGraphicsContext() const
{
    return mGraphicsContext;
}
